> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chainstream.io/llms.txt
> Use this file to discover all available pages before exploring further.

# トークン - 統計

> トークンの統計情報を取得

<Note>
  取引量、取引件数、ユニーク取引者数、価格変動など、複数の時間範囲にわたるトークンの集計取引統計を取得します。
</Note>

**関連**: [GraphQL OHLC & 統計](/jp/graphql/examples/ohlc-stats) | MCP: `token_get_stats`


## OpenAPI

````yaml /jp/api-reference/openapi-data-jp.yaml GET /v2/token/{chain}/{tokenAddress}/stats
openapi: 3.1.0
info:
  title: Services API
  description: Services API
  contact:
    name: AI
    email: ai@sx.ai
  license:
    name: MIT
  version: '1.0'
servers:
  - url: https://api.chainstream.io
    description: Production
security:
  - bearer_auth: []
  - api_key_auth: []
tags:
  - name: Blockchain
    description: ブロックチェーン関連の操作
  - name: Token
    description: トークン関連の操作
  - name: Trade
    description: 取引関連の操作
  - name: Wallet
    description: ウォレット関連の操作
  - name: Dex
    description: DEX 関連の操作
  - name: Ranking
    description: ランキング関連の操作
  - name: DexPool
    description: DEX プール関連の操作
  - name: Watchlist
    description: ウォッチリスト関連の操作
  - name: KYT
    description: KYT 関連の操作
  - name: Webhook
    description: Webhook 関連の操作
  - name: RedPacket
    description: レッドパケット関連の操作
  - name: IPFS
    description: IPFS 関連の操作
  - name: DexScreener
    description: DexScreener 関連の操作
paths:
  /v2/token/{chain}/{tokenAddress}/stats:
    get:
      tags:
        - Token
      summary: トークン - 統計
      description: トークンの統計情報を取得
      operationId: get.stats
      parameters:
        - name: chain
          in: path
          description: サポートされているネットワークに記載されているチェーン名
          required: true
          schema:
            $ref: '#/components/schemas/ChainSymbol'
          example: sol
        - name: tokenAddress
          in: path
          description: トークンのアドレス
          required: true
          schema:
            type: string
          example: 6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
      responses:
        '200':
          description: 統計を取得
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TokenStats'
components:
  schemas:
    ChainSymbol:
      type: string
      description: Supported blockchain chains
      enum:
        - sol
        - eth
        - bsc
    TokenStats:
      type: object
      description: Token statistics with nested time period data
      required:
        - address
        - periods
      properties:
        address:
          type: string
          description: トークンコントラクトアドレス
          example: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
        periods:
          type: object
          description: >-
            Trade statistics grouped by time period (1m, 5m, 15m, 30m, 1h, 4h,
            6h, 24h).

            Each period contains full OHLCV data, trade counts, and
            previous-period comparisons.

            See `TokenTradeStatPeriod` schema for all fields.
          additionalProperties:
            $ref: '#/components/schemas/TokenTradeStatPeriod'
          propertyNames:
            type: string
          example:
            6h:
              buyVolumeInUsd: '12000.00'
              buyers: '120'
              buys: '420'
              closeInUsd: '0.15600000'
              currentLiquidityInUsd: '250000.00'
              highInUsd: '0.15900000'
              lowInUsd: '0.15100000'
              openInUsd: '0.15200000'
              priceChangeRatioInUsd: '0.02631579'
              sellVolumeInUsd: '9800.00'
              sellers: '95'
              sells: '360'
              totalVolumeInUsd: '21800.00'
              traders: '215'
              trades: '780'
    TokenTradeStatPeriod:
      type: object
      description: Single time window trade statistics period
      properties:
        averagePriceInNative:
          type: string
          description: ネイティブトークン建ての平均価格
          example: '0.00005100'
        averagePriceInUsd:
          type: string
          description: USD建ての平均価格
          example: '0.15300000'
        buySellRatio:
          type:
            - string
            - 'null'
          description: 買い対売りの比率
          example: '1.5510'
        buyVolume:
          type: string
          description: トークン数量での買い出来高
          example: '15000000.12345678'
        buyVolumeInNative:
          type: string
          description: ネイティブトークン建ての買い出来高
          example: '750.50'
        buyVolumeInUsd:
          type: string
          description: USD建ての買い出来高
          example: '45000.00'
        buyers:
          type: string
          description: ユニーク買い手数
          example: '320'
        buys:
          type: string
          description: 買い取引数
          example: '1520'
        closeInNative:
          type: string
          description: ネイティブトークン建ての終値
          example: '0.00005200'
        closeInUsd:
          type: string
          description: USD建ての終値
          example: '0.15600000'
        currentLiquidityInUsd:
          type: string
          description: USD建ての現在の流動性
          example: '250000.00'
        dappProgramCount:
          type: string
          description: DEX プログラム数
          example: '8'
        highInNative:
          type: string
          description: ネイティブトークン建ての高値
          example: '0.00005300'
        highInUsd:
          type: string
          description: USD建ての高値
          example: '0.15900000'
        liquidityChangeRatio:
          type:
            - string
            - 'null'
          description: 前期間比の流動性変動率
          example: '0.0417'
        lowInNative:
          type: string
          description: ネイティブトークン建ての安値
          example: '0.00005000'
        lowInUsd:
          type: string
          description: USD建ての安値
          example: '0.15000000'
        openInNative:
          type: string
          description: ネイティブトークン建ての始値
          example: '0.00005000'
        openInUsd:
          type: string
          description: USD建ての始値
          example: '0.15000000'
        poolCount:
          type: string
          description: 流動性プール数
          example: '12'
        prevBuyVolume:
          type: string
          description: 前期間のトークン数量での買い出来高
          example: '14000000.00'
        prevBuyVolumeInNative:
          type: string
          description: 前期間のネイティブトークン建て買い出来高
          example: '700.00'
        prevBuyVolumeInUsd:
          type: string
          description: 前期間の USD建て買い出来高
          example: '42000.00'
        prevBuyers:
          type: string
          description: 前期間のユニーク買い手数
          example: '300'
        prevBuys:
          type: string
          description: 前期間の買い回数
          example: '1400'
        prevCloseInNative:
          type: string
          description: 前期間のネイティブトークン建て終値
          example: '0.00005100'
        prevCloseInUsd:
          type: string
          description: 前期間の USD建て終値
          example: '0.15100000'
        prevDappProgramCount:
          type: string
          description: 前期間の DEX プログラム数
          example: '7'
        prevHighInNative:
          type: string
          description: 前期間のネイティブトークン建て高値
          example: '0.00005100'
        prevHighInUsd:
          type: string
          description: 前期間の USD建て高値
          example: '0.15200000'
        prevLiquidityInUsd:
          type: string
          description: 前期間の USD建て流動性
          example: '240000.00'
        prevLowInNative:
          type: string
          description: 前期間のネイティブトークン建て安値
          example: '0.00004800'
        prevLowInUsd:
          type: string
          description: 前期間の USD建て安値
          example: '0.14500000'
        prevOpenInNative:
          type: string
          description: 前期間のネイティブトークン建て始値
          example: '0.00004900'
        prevOpenInUsd:
          type: string
          description: 前期間の USD建て始値
          example: '0.14800000'
        prevPoolCount:
          type: string
          description: 前期間のプール数
          example: '10'
        prevSellVolume:
          type: string
          description: 前期間のトークン数量での売り出来高
          example: '11000000.00'
        prevSellVolumeInNative:
          type: string
          description: 前期間のネイティブトークン建て売り出来高
          example: '550.00'
        prevSellVolumeInUsd:
          type: string
          description: 前期間の USD建て売り出来高
          example: '33000.00'
        prevSellers:
          type: string
          description: 前期間のユニーク売り手数
          example: '200'
        prevSells:
          type: string
          description: 前期間の売り回数
          example: '900'
        prevTrades:
          type: string
          description: 前期間の総取引回数
          example: '2300'
        priceChangeRatioInUsd:
          type: string
          description: USD建ての価格変動率
          example: '0.04000000'
        sellVolume:
          type: string
          description: トークン数量での売り出来高
          example: '12000000.98765432'
        sellVolumeInNative:
          type: string
          description: ネイティブトークン建ての売り出来高
          example: '600.40'
        sellVolumeInUsd:
          type: string
          description: USD建ての売り出来高
          example: '36000.00'
        sellers:
          type: string
          description: ユニーク売り手数
          example: '210'
        sells:
          type: string
          description: 売り取引数
          example: '980'
        totalVolumeInNative:
          type: string
          description: ネイティブトークン建ての総取引出来高
          example: '1350.90'
        totalVolumeInUsd:
          type: string
          description: USD建ての総取引出来高
          example: '81000.00'
        traders:
          type: string
          description: ユニークトレーダー数
          example: '530'
        trades:
          type: string
          description: 総取引数
          example: '2500'
        updatedAt:
          type:
            - string
            - 'null'
          description: 最終更新タイムスタンプ
          example: '2026-02-09T08:05:12.345Z'
        volumeChangeRatio:
          type:
            - string
            - 'null'
          description: 前期間比の出来高変動率
          example: '0.25'
  securitySchemes:
    bearer_auth:
      type: http
      scheme: bearer
      bearerFormat: JWT
    api_key_auth:
      type: apiKey
      in: header
      name: X-API-KEY

````